Subject: what-file-line, used when writing gdb script

From: "richardeng" <[email-masked]>
Date: Mon, 24 Nov 2008 00:27:59 +0800

Package: emacs
Version: 23.0.60
Severity: wishlist

When I write gdb script, I need to set many breakpoints. such as:
b xxx_file.c:xxx_line_number
 
With following, I can do it easier.
-----
(defcustom what-file-line-separator ":"
  "Define the separator between file name and line number"
  :type 'string
  :group 'editing)
 
(defcustom what-file-line-killp nil
  "Toggle on/off kill to yank ring"
  :type 'boolean
  :group 'editing)
 
;; Maybe this variable is useless, because user can copy what they want in mini-buffer                                  
(defcustom what-file-line-fullpath t
  "Toggle on/off file name fullpath"
  :type 'boolean
  :group 'editing)
 
(defun what-file-line ()
  "Print the current buffer's file name and line nubmer"
  (interactive)
  (let ((n (line-number-at-pos))
        (file (buffer-file-name))
        result)
    (setq result (concat file what-file-line-separator (number-to-string n)))
    (message "%s" result)
    (if what-file-line-killp
        (kill-new result))))
-----
Q:
1. I don't know in which group the customized variables should be put?
2. The 3rd customized variable needn't, agree?
3. If this functionality is usefull, I want to implement a GUI version(as same as gdb-mouse-set-clear-breakpoint). So when user click the left margin when non-gdb-mode, user can get the filename-line pair)
 
What's your comment?